PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
P_fd_set Class Reference

`#include <socket.h>`

## Public Member Functions
| P_fd_set ()
| P_fd_set (SOCKET fd)
| ~P_fd_set ()
P_fd_set & | operator= (SOCKET fd)
P_fd_set & | operator+= (SOCKET fd)
P_fd_set & | operator-= (SOCKET fd)
void | Zero ()
PBoolean | IsPresent (SOCKET fd) const
| operator fd_set * () const

## Protected Member Functions
void | Construct ()

## Protected Attributes
SOCKET | max_fd
fd_set * | set

## Constructor & Destructor Documentation

P_fd_set::P_fd_set | ( |  | ) |

P_fd_set::P_fd_set | ( | SOCKET | fd | ) |

P_fd_set::~P_fd_set | ( |  | ) |
| inline

References free.

## Member Function Documentation

void P_fd_set::Construct | ( |  | ) |
| protected

PBoolean P_fd_set::IsPresent | ( | SOCKET | fd | ) | const

P_fd_set::operator fd_set * | ( |  | ) | const
| inline

P_fd_set& P_fd_set::operator+= | ( | SOCKET | fd | ) |

P_fd_set& P_fd_set::operator-= | ( | SOCKET | fd | ) |

P_fd_set& P_fd_set::operator= | ( | SOCKET | fd | ) |

void P_fd_set::Zero | ( |  | ) |

## Member Data Documentation

SOCKET P_fd_set::max_fd
| protected

fd_set* P_fd_set::set
| protected

The documentation for this class was generated from the following file:

- socket.h